WebCab Options and Futures Demo v2.5 (J2SE Edition)

## webcab.lib.calendar.cities
Class NewYorkBusinessCalendar

    java.lang.Object
      |
      +--webcab.lib.calendar.AbstractBusinessCalendar
            |
            +--webcab.lib.calendar.cities.NewYorkBusinessCalendar

All Implemented Interfaces:
  BusinessCalendar, Serializable

public final class NewYorkBusinessCalendar
extends AbstractBusinessCalendar

New York business calendar.

Holidays:

- <description>Saturdays</description>
- <description>Sundays</description>
- <description>New Year's Day, January 1st (possibly moved to Monday if actually on Sunday, or to Friday if on Saturday)</description>
- <description>Martin Luther King's birthday, third Monday in January</description>
- <description>Washington's birthday, third Monday in February</description>
- <description>Memorial Day, last Monday in May</description>
- <description>Independence Day, July 4th(moved to Monday if Sunday or Friday if Saturday</description>
- <description>Labour Day, first Monday of September</description>
- <description>Veteran's Day, November 11th(moved to Monday if Sunday or Friday if Saturday)</description>
- <description>Thanksgiving Day, fourth Thursday in November</description>
- <description>Christmas, December 25th(moved to Monday if Sunday or Friday if Saturday)</description>

See National Holidays(website)

See Also:
  Serialized Form

Field Summary

Fields inherited from class webcab.lib.calendar.AbstractBusinessCalendar
`DAYS_IN_A_WEEK, MILLISECONDS_IN_A_DAY, MILLISECONDS_IN_A_HOUR, MILLISECONDS_IN_A_MINUTE, MILLISECONDS_IN_A_SECOND`

Method Summary
`static NewYorkBusinessCalendar` `getInstance()` The only way of getting a `NewYorkBusinessCalendar` instance.
`protected boolean` `isHoliday(Calendar date)` Returns `true` if the specified date `calendar` is a working day.

Methods inherited from class webcab.lib.calendar.AbstractBusinessCalendar
`checkDayOfWeek, checkOrder, daysBetween, daysBetweenAsPercentAtYear, daysOfWeekBetween, getName, isHoliday, isWorkingDay, nextHoliday, nextPaymentDate, nextWorkingDay, previousPaymentDate, workingDaysBetween, yearsBetween`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static NewYorkBusinessCalendar getInstance()

  The only way of getting a `NewYorkBusinessCalendar` instance.

  Returns:
    an instance of this business calendar

### isHoliday

    protected boolean isHoliday(Calendar date)

  Returns `true` if the specified date `calendar` is a working day.

  Specified by:
    `isHoliday` in class `AbstractBusinessCalendar`
  Parameters:
    `date` - the date to check
  Returns:
    `true` if the specified date `calendar` is a working day, `false` otherwise
  See Also:
    `BusinessCalendar.isHoliday(Date)`, `AbstractBusinessCalendar.isWorkingDay(Date)`, `BusinessCalendar.isHoliday(Date)`

WebCab Options and Futures Demo v2.5 (J2SE Edition)